/**
  * 其它
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admadvertslist: params => { // 广告 - 列表
    return getRequest('/adm/adverts/list', params)
  },
  admadvertsedit: params => { // 广告 - 编辑
    return getRequestNoSort('/adm/adverts/edit', params, 'loading')
  },
  admadvertsadd: params => { // 广告 - 添加
    return getRequestNoSort('/adm/adverts/add', params, 'loading')
  },
  admadvertsdel: params => { // 广告 - 删除
    return getRequestNoSort('/adm/adverts/del', params, 'loading')
  },
  admadvertsdetail: params => { // 广告 - 详情
    return getRequestNoSort('/adm/adverts/detail', params, 'loading')
  },
  admqalist: params => { // qa - 列表
    return getRequest('/adm/qa/list', params)
  },
  admqaedit: params => { // qa - 编辑
    return getRequestNoSort('/adm/qa/edit', params, 'loading')
  },
  admqaadd: params => { // qa - 添加
    return getRequestNoSort('/adm/qa/add', params, 'loading')
  },
  admqadel: params => { // qa - 删除
    return getRequestNoSort('/adm/qa/del', params, 'loading')
  },
  admqadetail: params => { // qa - 详情
    return getRequestNoSort('/adm/qa/detail', params, 'loading')
  },
}
